<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
-->
<schema xmlns="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.chapter_6.org">


	<simpleType name="e1">
		<restriction base="integer"/>
	</simpleType>


	<simpleType name="e2">
		<restriction base="string">
			<length value="10"/>
		</restriction>
	</simpleType>


	<simpleType name="e3">
		<restriction base="NMTOKENS">
			<length value="10"/>
		</restriction>
	</simpleType>


	<simpleType name="e4">
		<restriction base="string">
			<minLength value="3"/>
		</restriction>
	</simpleType>


	<simpleType name="e5">
		<restriction base="string">
			<maxLength value="5"/>
		</restriction>
	</simpleType>


	<simpleType name="e6">
		<restriction base="string">
			<pattern value="(aUser|anotherUser)@(i|I)nstitute"/>
		</restriction>
	</simpleType>


	<simpleType name="state">
		<restriction base="string">
			<enumeration value="off"/>
			<enumeration value="on"/>
		</restriction>
	</simpleType>


	<simpleType name="integer-0-5-10">
		<restriction base="integer">
			<enumeration value="0"/>
			<enumeration value="5"/>
			<enumeration value="10"/>
		</restriction>
	</simpleType>


	<simpleType name="integer-1-10">
		<restriction base="integer">
			<minInclusive value="1"/>
			<maxInclusive value="10"/>
		</restriction>
	</simpleType>


	<simpleType name="multiple-of-4">
		<restriction>
			<simpleType>
				<restriction base="integer">
					<minInclusive value="1"/>
					<maxInclusive value="10"/>
				</restriction>
			</simpleType>
			<minExclusive value="5"/>
		</restriction>
	</simpleType>


	<simpleType name="color">
		<restriction>
			<simpleType>
				<restriction base="string">
					<enumeration value="white"/>
					<enumeration value="black"/>
					<enumeration value="red"/>
				</restriction>
			</simpleType>
			<minLength value="2"/>
			<maxLength value="4"/>
		</restriction>
	</simpleType>


	<simpleType name="e8">
		<restriction base="string">
			<whiteSpace value="replace"/>
		</restriction>
	</simpleType>


	<simpleType name="e9">
		<restriction base="integer">
			<minInclusive value="-5"/>
		</restriction>
	</simpleType>


	<simpleType name="e10">
		<restriction base="positiveInteger">
			<maxInclusive value="100"/>
		</restriction>
	</simpleType>


	<simpleType name="e9a">
		<restriction base="integer">
			<minExclusive value="-5"/>
		</restriction>
	</simpleType>


	<simpleType name="e10a">
		<restriction base="positiveInteger">
			<maxExclusive value="100"/>
		</restriction>
	</simpleType>


	<simpleType name="e13">
		<restriction base="negativeInteger">
			<totalDigits value="3"/>
		</restriction>
	</simpleType>


	<simpleType name="E14">
		<restriction base="base64Binary"/>
	</simpleType>


	<simpleType name="MyBooleanType">
		<restriction base="boolean"/>
	</simpleType>


</schema>
